Subject: Re: bug#27781: LIBOBJS should depend on LIBOBJDIR

From: Mathieu Lirzin <[email-masked]>
Date: Thu, 17 Aug 2017 01:29:54 +0200

Hi,

Michael Haubenwallner <[email-masked]> writes:

> On 08/08/2017 11:17 PM, Mathieu Lirzin wrote:
>> Michael Haubenwallner <[email-masked]> writes:
>>>
>>> I have no idea for how to fix automake for this situation, but it
>>> feels like automake should add this line to src/Makefile.in here:
>>>
>>> $(LIBOBJS): $(LIBOBJDIR)$(am__dirstamp)
>
>> 
>> I confirm that this is an Automake issue.  After some digging I think
>> 'automake' should call the 'require_build_directory' subroutine for the
>> LIBOBJDIR variable.  However I don't have time to investigate more right
>> now.
>
> In this case let me come up with attached patch for now
> (without deeper knowledge of automake internals though).
>
> Thanks!
> /haubi/
>
> From c3d51adb53400fc8bf65c0e003d810b2e7166d0d Mon Sep 17 00:00:00 2001
> From: Michael Haubenwallner <[email-masked]>
> Date: Wed, 16 Aug 2017 18:16:12 +0200
> Subject: [PATCH] automake: Depend on LIBOBJDIR for LIBOBJS.
>
> This change fixes automake bug#27781.
>
> * bin/automake.in: Add Makefile dependency on LIBOBJDIR/dirstamp for
> each LIBOBJS/ALLOCA variable used.
> ---

Excellent!

To ensure this bug is not reintroduced later, I think it is important to
combine this patch with a test.  Are you willing to look into adding
one?

Thank you

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37